# H248_ContextAttrAuditRequest Class Reference

`#include <h248.h>`

Inheritance diagram for H248_ContextAttrAuditRequest:

List of all members.

## Public Types

enum | OptionalFields { e_topology, e_emergency, e_priority }

## Public Member Functions

| H248_ContextAttrAuditRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Null | m_topology
PASN_Null | m_emergency
PASN_Null | m_priority

## Member Enumeration Documentation

enum H248_ContextAttrAuditRequest::OptionalFields

Enumerator:

  e_topology |
  e_emergency |
  e_priority |

## Constructor & Destructor Documentation

H248_ContextAttrAuditRequest::H248_ContextAttrAuditRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_ContextAttrAuditRequest::GetDataLength | ( |  | ) | const

PBoolean H248_ContextAttrAuditRequest::Decode | ( | PASN_Stream & | strm | ) |

void H248_ContextAttrAuditRequest::Encode | ( | PASN_Stream & | strm | ) | const

void H248_ContextAttrAuditRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_ContextAttrAuditRequest::Compare | ( | const PObject & | obj | ) | const

PObject* H248_ContextAttrAuditRequest::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Null H248_ContextAttrAuditRequest::m_topology

PASN_Null H248_ContextAttrAuditRequest::m_emergency

PASN_Null H248_ContextAttrAuditRequest::m_priority

The documentation for this class was generated from the following file:

- h248.h